package com.liquidnet.service.goblin.service;

import com.liquidnet.service.base.PagedResult;
import com.liquidnet.service.base.ResponseDto;
import com.liquidnet.service.goblin.dto.vo.GoblinNftGoodsSkuInfoVo;
import com.liquidnet.service.goblin.dto.vo.GoblinNftGoodsSkuListVo;

public interface IGoblinNftGoodsAppService {

    ResponseDto<PagedResult<GoblinNftGoodsSkuListVo>> goodsList(int pag);

    GoblinNftGoodsSkuInfoVo goodsDetail(String skuId);

    Boolean exchange(String code);
}
